
Figure - Bug #118383
Bug # 118052 (CLOSED): 【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【IOVDEV-33351】【内部】【VC1】【0095】【台架】【EE环境】【

副屏】monkey中断，疑似重启过�

【IOVDEV-31662】【VC1】【0100】【台架】【EE环境】【副屏】副屏monkey测试异常停止
2023-05-31 10:57 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 与 #118052 问题相同

Description

【环境信息】EE环境

【问题出现时间】：20230531  8点31分（ 第223次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.副屏在5月30日晚9点20左右开始执行monkey测试

【实际结果】

5月31日早8点31分看到副屏处于屏保界面，monkey异常停止运行，仍是223次开机，未发生重启。

【期望结果】

副屏monkey测试正常执行。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/fNl7iHuIgQw%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

History

#1 - 2023-05-31 10:58 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118383

#2 - 2023-05-31 11:36 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No
- Root cause set to 与 #118052 问题相同

Hi 王成

这个问题与 #118052 是同件问题，surfaceflinger报空指针了

我们将在 #118052 中跟踪分析

--------------

05-31 04:04:57.279 23521 23521 F DEBUG   : * 

05-31 04:04:57.279 23521 23521 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-31 04:04:57.279 23521 23521 F DEBUG   : Revision: '0'

05-31 04:04:57.279 23521 23521 F DEBUG   : ABI: 'arm64'

05-31 04:04:57.279 23521 23521 F DEBUG   : Timestamp: 2023-05-31 04:04:57.145042784+0800

05-31 04:04:57.279 23521 23521 F DEBUG   : Process uptime: 0s

05-31 04:04:57.279 23521 23521 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-31 04:04:57.279 23521 23521 F DEBUG   : pid: 982, tid: 982, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-31 04:04:57.279 23521 23521 F DEBUG   : uid: 1000

05-31 04:04:57.280 23521 23521 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

05-31 04:04:57.280 23521 23521 F DEBUG   : Cause: null pointer dereference

05-31 04:04:57.280 23521 23521 F DEBUG   :     x0  b400007be79ba360  x1  b400007aa7c956a8  x2  0000000000000005  x3  0000007ff9add038

05-31 04:04:57.280 23521 23521 F DEBUG   :     x4  0000000000000038  x5  0000007a577ecdc0  x6  00004b73000133a8  x7  0001330300013006

05-31 04:04:57.280 23521 23521 F DEBUG   :     x8  b400007be79b7c80  x9  00000000000026e0  x10 000000000000000b  x11 0000000000000000

05-31 04:04:57.280 23521 23521 F DEBUG   :     x12 0000000000000010  x13 0001272300011d55  x14 002009e6bebc7400  x15 0000000034155555

05-31 04:04:57.280 23521 23521 F DEBUG   :     x16 0000005b76526c10  x17 0000007d67a63ec0  x18 0000007d7447e000  x19 0000000000000000

05-31 04:04:57.280 23521 23521 F DEBUG   :     x20 b400007aa7c956a8  x21 b400007be79ba360  x22 b400007be78c8188  x23 0000007d73d3a000

05-31 04:04:57.280 23521 23521 F DEBUG   :     x24 0000000000000000  x25 b400007a9791c6e0  x26 0000000000000001  x27 0000000000002559

05-31 04:04:57.280 23521 23521 F DEBUG   :     x28 00000000000026bd  x29 0000007ff9add050

05-31 04:04:57.280 23521 23521 F DEBUG   :     lr  0000005b760967a0  sp  0000007ff9add050  pc  0000007d67a63ee0  pst 0000000060001000

05-31 04:04:57.280 23521 23521 F DEBUG   : backtrace:

05-31 04:04:57.280 23521 23521 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #01 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #03 pc 00000000001584c8  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #04 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #05 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #06 pc 000000000019ecc8  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #07 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #08 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #09 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #10 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #11 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #12 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:
8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #13 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-31 04:04:57.280 23521 23521 F DEBUG   :       #14 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

--------------

#3 - 2023-05-31 16:19 - CDTS-TEST 周婷

- Due date set to 2023-06-05

- Parent task set to #118052

#4 - 2023-06-02 17:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 17:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

monkey异常停止，副屏显示屏保.mp4 1.16 MB 2023-05-31 CDTS_TEST 王成
